## mysql-5.5 5.5.37

=== debian/changelog ===
mysql-5.5 (5.5.37-0ubuntu0.13.10.1) saucy-security; urgency=medium

  * SECURITY UPDATE: Update to 5.5.37 to fix security issues (LP: #1309662)
    - http://www.oracle.com/technetwork/topics/security/cpuapr2014-1972952.html
    - CVE-2014-0001
    - CVE-2014-0384
    - CVE-2014-2419
    - CVE-2014-2430
    - CVE-2014-2431
    - CVE-2014-2432
    - CVE-2014-2436
    - CVE-2014-2438
    - CVE-2014-2440
  * Drop creation of insecure database permissions:
    - d/p/33_scripts__mysql_create_system_tables__no_test.patch,
      d/p/41_scripts__mysql_install_db.sh__no_test.patch,
      d/p/50_mysql-test__db_test.patch: Restored from mysql-5.1
      package, inadvertently dropped in 5.5 transition. This
      removes the global anonymous access to the database which
      is a security concern.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sat, 19 Apr 2014 20:45:09 -0400

mysql-5.5 (5.5.35-0ubuntu0.13.10.2) saucy; urgency=medium

  [ Eduardo Damato ]
  * Fix upstart script to account for datadir disk shortage (LP: #1121874)

 -- Dave Chiluk <chiluk@canonical.com>  Tue, 21 Jan 2014 13:06:45 -0500

mysql-5.5 (5.5.35-0ubuntu0.13.10.1) saucy-security; urgency=low

  * SECURITY UPDATE: Update to 5.5.35 to fix security issues (LP: #1269993)
    - http://www.oracle.com/technetwork/topics/security/cpujan2014-1972949.html
    - CVE-2013-5891
    - CVE-2013-5908
    - CVE-2014-0386
    - CVE-2014-0393
    - CVE-2014-0401
    - CVE-2014-0402
    - CVE-2014-0412
    - CVE-2014-0420
    - CVE-2014-0437

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 16 Jan 2014 19:53:14 -0500

mysql-5.5 (5.5.34-0ubuntu0.13.10.1) saucy-security; urgency=low

  * SECURITY UPDATE: Update to 5.5.34 to fix security issues (LP: #1243253)
    - http://www.oracle.com/technetwork/topics/security/cpuoct2013-1899837.html
    - CVE-2013-3839
    - CVE-2013-5807

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 22 Oct 2013 15:14:10 -0400
