## mysql-5.5 5.5.40

=== debian/changelog ===
mysql-5.5 (5.5.40-0ubuntu1) utopic; urgency=medium

  * New upstream point release, including fixes for:
    - mysql crash during neutron database sync (LP: #1378359).

 -- James Page <james.page@ubuntu.com>  Tue, 07 Oct 2014 19:39:53 +0100

mysql-5.5 (5.5.39-0ubuntu4) utopic; urgency=medium

  * d/p/fix-mysqlhotcopy-test-failure.patch: Add return code 255 to list of
    allowable return codes, resolving autopkgtest failure in mysqlhotcopy
    tests.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Sep 2014 11:15:43 +0100

mysql-5.5 (5.5.39-0ubuntu3) utopic; urgency=medium

  * d/p/fix-func_math-test-failure.patch: Fix failing func_math test.
  * d/rules: Revert changes in 5.5.39-0ubuntu2 so that test failures
    continue to block package builds.

 -- James Page <james.page@ubuntu.com>  Mon, 01 Sep 2014 13:31:23 +0100

mysql-5.5 (5.5.39-0ubuntu2) utopic; urgency=medium

  * Let the amd64 and i386 builds behave like all the other builds: Ignore
    the test results. There is one test failing out of 1728 tests
    (main.func_math).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Aug 2014 19:03:50 +0200

mysql-5.5 (5.5.39-0ubuntu1) utopic; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Aug 2014 14:55:04 +0200

mysql-5.5 (5.5.38-0ubuntu1) utopic; urgency=medium

  * SECURITY UPDATE: Update to 5.5.38 to fix security issues (LP: #1342709)
    - http://www.oracle.com/technetwork/topics/security/cpujul2014-1972956.html
    - CVE-2014-2494
    - CVE-2014-4207
    - CVE-2014-4258
    - CVE-2014-4260

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 16 Jul 2014 08:56:05 -0400

mysql-5.5 (5.5.37-0ubuntu0.14.04.2) utopic; urgency=high

  * No change rebuild against new dh_installinit, to call update-rc.d at
    postinst.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 May 2014 10:40:40 +0100

mysql-5.5 (5.5.37-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Update to 5.5.37 to fix security issues (LP: #1309662)
    - http://www.oracle.com/technetwork/topics/security/cpuapr2014-1972952.html
    - CVE-2014-0001
    - CVE-2014-0384
    - CVE-2014-2419
    - CVE-2014-2430
    - CVE-2014-2431
    - CVE-2014-2432
    - CVE-2014-2436
    - CVE-2014-2438
    - CVE-2014-2440

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 18 Apr 2014 13:37:55 -0400
