## mysql-5.5 5.5.42

=== debian/changelog ===
mysql-5.5 (5.5.42-1) unstable; urgency=medium

  [ James Page ]
  * SECURITY UPDATE: Update to 5.5.41 to fix security issues:
    - http://www.oracle.com/technetwork/topics/security/cpujan2015-1972971.html
    - CVE-2015-0411, CVE-2015-0382, CVE-2015-0381, CVE-2015-0432,
      CVE-2014-6568, CVE-2015-0374
    (Closes: #775881).
  * d/p/fix-func_math-test-failure.patch: Dropped, included upstream.

  [ Akhil Mohan ]
  * New upstream version, resolving date driven test failures in certs.
  * Example option in log_slow_queries d/additions/my.cnf is deprecated
    and replaced with options slow_query_log_file and slow_query_log.
    (Closes: #677222)

 -- James Page <james.page@ubuntu.com>  Mon, 09 Feb 2015 14:12:44 +0000

mysql-5.5 (5.5.40-1) unstable; urgency=medium

  * SECURITY UPDATE: Update to 5.5.40 to fix security issues:
    - http://www.oracle.com/technetwork/topics/security/cpuoct2014-1972960.html
    - CVE-2012-5615, CVE-2014-4274, CVE-2014-4287, CVE-2014-6463,
      CVE-2014-6464, CVE-2014-6469, CVE-2014-6478, CVE-2014-6484,
      CVE-2014-6491, CVE-2014-6494, CVE-2014-6495, CVE-2014-6496,
      CVE-2014-6500, CVE-2014-6505, CVE-2014-6507, CVE-2014-6520,
      CVE-2014-6530, CVE-2014-6551, CVE-2014-6555, CVE-2014-6559
    (Closes: #765663, #769337)
  * d/p/fix-mysqlhotcopy-test-failure.patch: Add return code 255 to the list
    of allowable return codes for mysqlhotcopy tests.
  * d/rules: Enable parallel builds.

 -- James Page <james.page@ubuntu.com>  Mon, 24 Nov 2014 16:31:57 +0000

mysql-5.5 (5.5.39-1) unstable; urgency=medium

  * SECURITY UPDATE: Update to 5.5.38 to fix security issues:
    - http://www.oracle.com/technetwork/topics/security/cpujul2014-1972956.html
    - CVE-2014-2494
    - CVE-2014-4207
    - CVE-2014-4258
    - CVE-2014-4260
  * New upstream release.
  * d/p/fix-func_math-test-failure.patch: Fix for failing func_math test
    (Closes: #753196, #746883).

 -- James Page <james.page@ubuntu.com>  Mon, 01 Sep 2014 13:20:20 +0100

mysql-5.5 (5.5.37-1) unstable; urgency=medium

  * SECURITY UPDATE: Update to 5.5.37 to fix security issues (Closes: #744910)
    - http://www.oracle.com/technetwork/topics/security/cpuapr2014-1972952.html
    - CVE-2014-0001 (Closes: #737596).
    - CVE-2014-0384
    - CVE-2014-2419
    - CVE-2014-2430
    - CVE-2014-2431
    - CVE-2014-2432
    - CVE-2014-2436
    - CVE-2014-2438
    - CVE-2014-2440
  * d/mysql-server-5.5.mysql.init: Fixup indentation on previous change
    (Closes: #739846).
  * d/rules: Always install apparmor profile, not just on Ubuntu
    (Closes: #736087).
  * d/control: Update for use of virtual-* packages for switching to/from
    MySQL alternatives.
  * d/watch,repack.*: Drop repackaging as upstream tarball is now DFSG
    compliant.

 -- James Page <jamespage@debian.org>  Thu, 24 Apr 2014 18:03:59 +0100

mysql-5.5 (5.5.35+dfsg-2) unstable; urgency=low

  [ Clint Byrum ]
  * d/mysql-server-5.5.mysql.init: Increase timeout to 30s (Closes: #736452).
  * d/mysql-server-5.5.postinst: Run mysql_install_db as mysql so tables are
    not created as root (Closes: #737224).

  [ Robie Basak ]
  * Re-sync relevant Ubuntu changes:
    - d/control: Make innotop usable without installing Suggests.
    - d/rules: Build with debug symbols.
    - d/{additions/my.cnf,mysql-server-5.5.mysql-server.logrotate}:
      Write an error log and logrotate it.
    - d/control,rules,apparmor-profile,mysql-server-5.5.files:
      Add AppArmor profile (Closes: #736087).
    - d/control: Move mailx from Recommends to Suggests.
    - d/control,d/tests/*: Add DEP-8 tests.
    - d/control: Re-add mysql-testsuite metapackage.

  [ James Page ]
  * d/control: Drop Nicholas from Uploaders, MIA (Closes: #739361).

 -- James Page <jamespage@debian.org>  Wed, 19 Feb 2014 12:37:01 +0000
