## mysql-5.5 5.5.44

=== debian/changelog ===
mysql-5.5 (5.5.44-0ubuntu0.14.10.1) utopic-security; urgency=medium

  * SECURITY UPDATE: Update to 5.5.44 to fix security issues (LP: #1475294)
    - http://www.oracle.com/technetwork/topics/security/cpujul2015-2367936.html
    - CVE-2015-2582
    - CVE-2015-2620
    - CVE-2015-2643
    - CVE-2015-2648
    - CVE-2015-4737
    - CVE-2015-4752
    - CVE-2015-4757

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 16 Jul 2015 11:52:48 -0400

mysql-5.5 (5.5.43-0ubuntu0.14.10.2) utopic-proposed; urgency=medium

  * Introduce full memory barrier support for arm64 and ppc64el to fix
    corruption/hang issues (LP: #1427406).

 -- dann frazier <dannf@ubuntu.com>  Fri, 12 Jun 2015 17:01:44 -0600

mysql-5.5 (5.5.43-0ubuntu0.14.10.1) utopic-security; urgency=medium

  * SECURITY UPDATE: Update to 5.5.43 to fix security issues (LP: #1444616)
    - http://www.oracle.com/technetwork/topics/security/cpuapr2015-2365600.html
    - CVE-2015-0433
    - CVE-2015-0441
    - CVE-2015-0499
    - CVE-2015-0501
    - CVE-2015-0505
    - CVE-2015-2568
    - CVE-2015-2571
    - CVE-2015-2573

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 20 Apr 2015 07:25:07 -0400

mysql-5.5 (5.5.41-0ubuntu0.14.10.1) utopic-security; urgency=medium

  * SECURITY UPDATE: Update to 5.5.41 to fix security issues (LP: #1413188)
    - http://www.oracle.com/technetwork/topics/security/cpujan2015-1972971.html
    - CVE-2014-6568
    - CVE-2015-0374
    - CVE-2015-0381
    - CVE-2015-0382
    - CVE-2015-0411
    - CVE-2015-0432
  * d/p/fix-func_math-test-failure.patch: removed, upstream.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 21 Jan 2015 07:56:36 -0500
