=== debian/control ===
--- 
+++ 
@@ -3,16 +3,40 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
-Uploaders: Norbert Tretkowski <norbert@tretkowski.de>, Clint Byrum <clint@ubuntu.com>
-Build-Depends: libtool (>= 1.4.2-7), procps | hurd,  debhelper (>= 8.1.3~), file (>= 3.28), libncurses5-dev (>= 5.0-6), perl (>= 5.6.0), libwrap0-dev (>= 7.6-8.3), zlib1g-dev (>= 1:1.1.3-5), libreadline-dev, psmisc, po-debconf, chrpath, doxygen-latex, ghostscript,  gawk, bison, lsb-release, hardening-wrapper, cmake, dh-apparmor, libaio-dev[linux-any]
-Standards-Version: 3.9.2
+Uploaders:
+ Norbert Tretkowski <norbert@tretkowski.de>,
+ Clint Byrum <clint@ubuntu.com>,
+ James Page <jamespage@debian.org>
+Build-Depends:
+ bison,
+ chrpath,
+ cmake,
+ debhelper (>= 8.1.3~),
+ dh-apparmor,
+ doxygen-latex,
+ gawk,
+ ghostscript,
+ hardening-wrapper,
+ libaio-dev[linux-any],
+ libncurses5-dev (>= 5.0-6),
+ libreadline-dev,
+ libwrap0-dev (>= 7.6-8.3),
+ lsb-release,
+ perl,
+ po-debconf,
+ psmisc,
+ quilt,
+ zlib1g-dev (>= 1:1.1.3-5)
+Standards-Version: 3.9.5
 Homepage: http://dev.mysql.com/
+XS-Debian-Vcs-Git: git://git.debian.org/git/pkg-mysql/mysql-5.5.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-mysql/mysql-4.5.git
 XS-Testsuite: autopkgtest
 
 Package: libmysqlclient18
 Section: libs
 Architecture: any
-Depends: mysql-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: mysql-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: multiarch-support, ${misc:Pre-Depends}
 Multi-Arch: same
 Description: MySQL database client library
@@ -27,7 +51,7 @@
 Architecture: any
 Section: libdevel
 Depends: libmysqlclient-dev (>= ${source:Version}), ${misc:Depends}
-Description: MySQL database development files
+Description: PIC version of MySQL embedded server development files
  MySQL is a fast, stable and true multi-user, multi-threaded SQL database
  server. SQL (Structured Query Language) is the most popular database query
  language in the world. The main goals of MySQL are speed, robustness and
@@ -50,8 +74,16 @@
 Package: libmysqlclient-dev
 Architecture: any
 Section: libdevel
-Depends: libmysqlclient18 (= ${binary:Version}), zlib1g-dev, , ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libmysqlclient14-dev, libmysqlclient12-dev, libmysqlclient10-dev, libmysqlclient15-dev
+Depends:
+ libmysqlclient18 (= ${binary:Version}),
+ zlib1g-dev,
+ ${misc:Depends},
+ ${shlibs:Depends}
+Conflicts:
+ libmysqlclient10-dev,
+ libmysqlclient12-dev,
+ libmysqlclient14-dev,
+ libmysqlclient15-dev
 Provides: libmysqlclient15-dev
 Replaces: libmysqlclient15-dev
 Description: MySQL database development files
@@ -64,11 +96,12 @@
 
 Package: mysql-common
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: mysql-common-4.1
-Provides: mysql-common-4.1
-Replaces: mysql-common-4.1
-Breaks: mysql-server-5.1, mysql-client-5.1, mysql-server-core-5.1, mysql-client-core-5.1
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks:
+ amarok (<< 2.5.0-2),
+ mysql-client-5.1 (<< 5.5),
+ mysql-server-5.1 (<< 5.5),
+ mysql-server-core-5.1 (<< 5.5)
 Multi-Arch: foreign
 Description: MySQL database common files, e.g. /etc/mysql/my.cnf
  MySQL is a fast, stable and true multi-user, multi-threaded SQL database
@@ -82,8 +115,14 @@
 Package: mysql-client-core-5.5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: mysql-client (<< ${source:Version}), mysql-client-5.0, mysql-client-core-5.1
-Replaces: mysql-client (<< ${source:Version}), mysql-client-5.0, mysql-client-core-5.1
+Breaks:
+ mysql-client (<< ${source:Version}),
+ mysql-client-5.0,
+ mysql-client-core-5.1
+Replaces:
+ mysql-client (<< ${source:Version}),
+ mysql-client-5.0,
+ mysql-client-core-5.1
 Description: MySQL database core client binaries
  MySQL is a fast, stable and true multi-user, multi-threaded SQL database
  server. SQL (Structured Query Language) is the most popular database query
@@ -94,10 +133,22 @@
 
 Package: mysql-client-5.5
 Architecture: any
-Depends: debianutils (>=1.6), libdbi-perl, libdbd-mysql-perl (>= 1.2202), mysql-common (>= ${source:Version}), ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, mysql-client-core-5.5, libterm-readkey-perl
-Provides: virtual-mysql-client, mysql-client, mysql-client-4.1
+Depends:
+ debianutils (>=1.6),
+ libdbd-mysql-perl (>= 1.2202),
+ libdbi-perl,
+ libterm-readkey-perl,
+ mysql-client-core-5.5,
+ mysql-common (>= ${source:Version}),
+ ${misc:Depends},
+ ${perl:Depends},
+ ${shlibs:Depends}
+Provides: mysql-client, virtual-mysql-client
 Breaks: mysql-client (<< ${source:Version}), mysql-client-5.0, mysql-client-5.1
-Replaces: mysql-client (<< ${source:Version}), mysql-client-5.0, mysql-client-5.1
+Replaces:
+ mysql-client (<< ${source:Version}),
+ mysql-client-5.0,
+ mysql-client-5.1
 Description: MySQL database client binaries
  MySQL is a fast, stable and true multi-user, multi-threaded SQL database
  server. SQL (Structured Query Language) is the most popular database query
@@ -109,10 +160,19 @@
 
 Package: mysql-server-core-5.5
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: mysql-server-5.1, mysql-server-5.0, mysql-server-core-5.1
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks:
+ mysql-client-5.1,
+ mysql-server-5.0,
+ mysql-server-5.1,
+ mysql-server-core-5.1
 Provides: mysql-server-core
-Replaces: mysql-server-core-5.0, mysql-server-core-5.1, mysql-server-5.0, mysql-server-5.1, mysql-server-core-5.1
+Replaces:
+ mysql-client-5.1,
+ mysql-server-5.0,
+ mysql-server-5.1,
+ mysql-server-core-5.0,
+ mysql-server-core-5.1
 Description: MySQL database server binaries
  MySQL is a fast, stable and true multi-user, multi-threaded SQL database
  server. SQL (Structured Query Language) is the most popular database query
@@ -126,12 +186,31 @@
 Architecture: any
 Suggests: tinyca, mailx
 Recommends: libhtml-template-perl
-Pre-Depends: mysql-common (>= ${source:Version}), adduser (>= 3.40), debconf
-Depends: mysql-client-5.5 (>= ${source:Version}), libdbi-perl, perl (>= 5.6), ${shlibs:Depends}, ${misc:Depends}, psmisc, passwd, lsb-base (>= 3.0-10), mysql-server-core-5.5 (= ${binary:Version})
-Breaks: mysql-server (<< ${source:Version}), mysql-server-4.1, mysql-server-5.1, libmysqlclient-dev ( << 5.5.17~ )
+Pre-Depends: adduser (>= 3.40), debconf, mysql-common (>= ${source:Version})
+Depends:
+ initscripts (>= 2.88dsf-13.3),
+ libdbi-perl,
+ lsb-base (>= 3.0-10),
+ mysql-client-5.5 (>= ${source:Version}),
+ mysql-server-core-5.5 (>= ${source:Version}),
+ passwd,
+ perl (>= 5.6),
+ psmisc,
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks:
+ libmysqlclient-dev ( << 5.5.17~),
+ mysql-client-5.1,
+ mysql-server (<< ${source:Version}),
+ mysql-server-5.1
 Provides: virtual-mysql-server
-Replaces: mysql-server (<< ${source:Version}), mysql-server-5.1,  mysql-server-5.0, mysql-server-4.1, libmysqlclient-dev ( << 5.5.17~ )
-Description: MySQL database server binaries and system database setup 
+Replaces:
+ libmysqlclient-dev ( << 5.5.17~),
+ mysql-client-5.1,
+ mysql-server (<< ${source:Version}),
+ mysql-server-5.0,
+ mysql-server-5.1
+Description: MySQL database server binaries and system database setup
  MySQL is a fast, stable and true multi-user, multi-threaded SQL database
  server. SQL (Structured Query Language) is the most popular database query
  language in the world. The main goals of MySQL are speed, robustness and
@@ -142,7 +221,7 @@
 
 Package: mysql-server
 Architecture: all
-Depends: mysql-server-5.5
+Depends: mysql-server-5.5, ${misc:Depends}
 Description: MySQL database server (metapackage depending on the latest version)
  This is an empty package that depends on the current "best" version of
  mysql-server (currently mysql-server-5.5), as determined by the MySQL
@@ -157,16 +236,17 @@
 
 Package: mysql-client
 Architecture: all
-Depends: mysql-client-5.5
+Depends: mysql-client-5.5, ${misc:Depends}
 Description: MySQL database client (metapackage depending on the latest version)
  This is an empty package that depends on the current "best" version of
  mysql-client (currently mysql-client-5.5), as determined by the MySQL
  maintainers.  Install this package if in doubt about which MySQL version
- you want, as this is the one we consider to be in the best shape.
+ you want, as this is the one considered to be in the best shape by the
+ Maintainers.
 
 Package: mysql-testsuite
 Architecture: all
-Depends: mysql-testsuite-5.5
+Depends: mysql-testsuite-5.5, ${misc:Depends}
 Description: MySQL testsuite
  This is an empty package that depends on the current "best" version of
  mysql-testsuite (currently mysql-testsuite-5.5), as determined by the
@@ -175,8 +255,11 @@
 
 Package: mysql-testsuite-5.5
 Architecture: any
-Depends: mysql-server, mysql-client, ${misc:Depends},  ${shlibs:Depends}
-Conflicts: mysql-testsuite (<< ${source:Version})
+Depends:
+ mysql-client (= ${source:Version}),
+ mysql-server (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: MySQL testsuite
  MySQL is a fast, stable, and true multi-user, multi-threaded SQL database
  server.  SQL (Structured Query Language) is the most popular database query
